package com.gingersoft.gsa.cloud.table.mvp.model.bean.request;

import com.gingersoft.gsa.cloud.base.common.bean.OrderDetail;

import java.util.List;
import java.util.Map;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-02-22
 * 修订历史：2020-02-22
 * 描述：
 */
public class DeleteOrderRequest {

    public static class Request{

        private List<Map<Byte, DeleteOrderRequest.DeleteBean>> mapsDelete;
        private long orderId ;
        private byte type;
        private long reasonId;

        public List<Map<Byte, DeleteOrderRequest.DeleteBean>> getMapsDelete() {
            return mapsDelete;
        }

        public void setMapsDelete(List<Map<Byte, DeleteOrderRequest.DeleteBean>> mapsDelete) {
            this.mapsDelete = mapsDelete;
        }

        public long getOrderId() {
            return orderId;
        }

        public void setOrderId(long orderId) {
            this.orderId = orderId;
        }

        public byte getType() {
            return type;
        }

        public void setType(byte type) {
            this.type = type;
        }

        public long getReasonId() {
            return reasonId;
        }

        public void setReasonId(long reasonId) {
            this.reasonId = reasonId;
        }
    }


   public  static class DeleteBean{
        private  long id;
        private int number;

       public long getId() {
           return id;
       }

       public void setId(long id) {
           this.id = id;
       }

       public int getNumber() {
           return number;
       }

       public void setNumber(int number) {
           this.number = number;
       }
   }
}
